Rated 5 out of 5 stars

It's more or less deprecated by Uppity which does a lot more and is keyboard controllable.

( https://addons.mozilla.org/firefox/addon/uppity )

This user has a previous review of this add-on.

Works great on Firefox 8.0 Rated 5 out of 5 stars

Works great - simple and does exactly what it says it will do. Works fine on Firefox 8.0 - all you have to do is to bump the .xpi file before installing. Unpack the xpi with Winrar or somethings similar, open the install.rdf file and change the Firefox maximum version to whatever you are using. Save everything and then install.

Rated 5 out of 5 stars

Our CMS is not compatible with FF 4 or 5, so we still have to run 3.6. This was one of my most used extensions, & I would love to see a backwards compatible version, please! :-)

Rated 4 out of 5 stars

Really useful add-on, shame it's not updated anymore.
Check out Uppity for a newer addon which performs this function, plus has a menu to go up multiple levels at a time.

Rated 1 out of 5 stars

It's so sad that this is not available for 3.6, as it's such a great extension.
When the version number is corrected, I will install it and upgrade my rating to 5.

Rated 5 out of 5 stars

Stephen is providing a similar feature through his new Link Widgets extension which is compatible with FireFox 3.5:
https://addons.mozilla.org/fr/firefox/addon/2933

How to fix compitability issue Rated 5 out of 5 stars

Detailed instruction for standard users to make Go Up compatible with current version of Firefox:
Download the Add-On (Right mouse click on button "Add to Firefox", select "Save as ...")
Unpack the downloaded xpi-file with any unzipper (e.g. ZipGenius) into a new directory.
Open this new directory. It contains 3 files. Open the file "install.rdf" with a text editor.
Find the tag 1.5.0.* (almost at the end of the file).
Change this tag to 3.* (or higher number than 3).
Save and close the file "install.rdf".
Create a zip-archive from the three files in the new directory.
Change the extension of the created zip-archive from .zip into .xpi
Drag and drop this new xpi-archive on an open firefox window. This will install the extension.
Good luck!

Does anybody know why every single user has to do this on her own???

This user has a previous review of this add-on.

Rated 3 out of 5 stars

Have used this extension forever! Easy to fix for 3.5 - download & open .xpi file (7-zip works nice), edit install.rdf. Change to something big like 15.0. Open/install modified .xpi and it should work. YMMV.

Rated 5 out of 5 stars

A must-have addon! Any chance this will be updated for Firefox 3.5?

Rated 5 out of 5 stars

Yes, could you pretty please make this compatible with 3.5?

Rated 5 out of 5 stars

Simple addon but works fine... well, "worked" fine is more adapted since I installed Firefox 3.5 :-)

I guess it can't be that hard to update

Nice work, though!

Rated 4 out of 5 stars

Great little add on, but I would love to be able to select some different colours for it - the rest of my icons are blue, so this stands out like a sore thumb!

Rated 5 out of 5 stars

Really useful. I previously had the Google Toolbar installed just to use its version of this button. A stand alone version is a big advantage.

Very useful Rated 5 out of 5 stars

I use this frequently, and it saves me much time and frustration.

Rated 5 out of 5 stars

Great one.
If a pulldownmenu could be added to the toolbarbutton, to select the different leveles of a webadress. this would be perfect.

Rated 5 out of 5 stars

Great!

Works with Firefox 3 Rated 4 out of 5 stars

This extension works with Firefox 3 but will refuse to install. To get it to work just extract the .xpi file (it's a zip file) and edit the install.rdf file and change the value in the tag to 3.* or something else high enough for your version. Package it back up and it will install ok.

Great, but where's the Firefox 3 version Rated 5 out of 5 stars

I miss this extension terribly now I'm running Ubuntu Hardy with Firefox 3. Steven, I beg of you, *Please* update it.